@import "animations/gang.css";

.gang-features-wrapper {
  background: var(--black-3) url("../img/gang-features-bg.png") no-repeat center;
  padding: 180px 0;
}

.gang-features-wrapper .container {
  position: relative;
}

.gang-features-banana {
  position: absolute;
}

.gang-features-banana.banana-top {
  top: -100px;
  left: 20%;
  animation: gang-banana 1.5s ease-in-out infinite alternate;
}

.gang-features-banana.banana-bot {
  bottom: -100px;
  right: 20%;
  animation: gang-banana 2s 1s ease-in-out infinite alternate;
}

.gang-features {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  grid-column-gap: 32px;
}

.gang-item {
  display: flex;
  flex-direction: column;
  border-radius: 11px;
  background-color: rgba(87, 87, 87, 0.1);
  backdrop-filter: blur(81px);
  -webkit-backdrop-filter: blur(81px);
  overflow: hidden;
}

.gang-item-top {
  position: relative;
}

.gang-item-date {
  position: absolute;
  top: 24px;
  left: 24px;
  color: #fff;
  background-color: rgba(61, 61, 61, 0.43);
  font-size: 12px;
  line-height: 16px;
  font-weight: 700;
  padding: 4px 12px;
  border-radius: 6px;
  backdrop-filter: blur(24px);
  -webkit-backdrop-filter: blur(24px);
}

.gang-item-img {
  height: 204px;
  background: no-repeat center / cover;
}

.gang-item-img.nutshell {
  background-image: url("../img/gang-wars/nutshell.png");
}

.gang-item-img.peel {
  background-image: url("../img/gang-wars/peel.png");
}

.gang-item-img.ape-city {
  background-image: url("../img/gang-wars/ape-city.png");
}

.gang-item-bottom {
  flex: 1;
  display: grid;
  grid-row-gap: 24px;
  padding: 32px 24px;
}

.gang-item-bottom > h3 {
  background: var(--yellow-gradient-1to2);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  font-weight: 900;
  font-size: 16px;
  line-height: 26px;
  text-transform: uppercase;
  overflow: hidden;
  white-space: nowrap;
  text-overflow: ellipsis;
}

.gang-item-bottom > p {
  font-size: 14px;
  line-height: 21px;
  color: #fff;
  align-self: flex-end;
}

.gang-item-bottom .yellow-btn-outlined {
  align-self: flex-end;
}

@media (max-width: 1023px) {
  .gang-features-wrapper {
    background: var(--black-3) url("../img/mobile-wars-bg.png") no-repeat top 72px left 0;
    padding: 120px 0;
  }

  .gang-features-banana.banana-top {
    top: -80px;
    right: 20px;
    left: unset;
  }

  .gang-features-wrapper .container {
    padding: 0;
  }

  .gang-features {
    padding: var(--mobile-container-padding);
    display: flex;
    grid-column-gap: 0;
    overflow-x: auto;
  }

  .gang-features::-webkit-scrollbar {
    display: none;
  }

  .gang-item {
    flex: 1 0 288px;
  }

  .gang-item:not(:last-child) {
    margin-right: 32px;
  }

  .gang-item-bottom {
    grid-row-gap: 12px;
    padding: 25px 18px;
  }
}